/*
 * Class INDEXABLE_ITERATION_CURSOR [NATURAL_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1898 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1898 [] = {0xFF01,1551,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1898 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1898 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1898 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1898 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1898 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1898 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1898 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1898 [] = {1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1898 [] = {0xFF01,1897,851,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1898 [] = {0xFF01,1899,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1898 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1898 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1898 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1898 [] = {0xFF01,1897,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1898 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1898[] = {
	{EIF_GENERIC(NULL), 10811, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1898), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1898), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1898), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1898), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1898), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1898), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1898), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1898), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1898), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1898), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1898), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1898), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1898), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1898), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10812, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10814, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10815, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10816, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10817, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10818, 24},
	{EIF_GENERIC(egt_14_1898), 10820, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1898), 10821, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1898), 10822, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1898), 10823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 10824, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10826, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10829, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10830, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10831, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10832, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1898), 10834, 0},
	{EIF_GENERIC(egt_19_1898), 10835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1898), 10813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10825, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10833, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1898), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1898), 10819, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1898), -1, 0xFFFFFFFF},
};
void Init1898(void)
{
	IDSC(desc_1898, 0, 1897);
	IDSC(desc_1898 + 1, 1, 1897);
	IDSC(desc_1898 + 32, 880, 1897);
	IDSC(desc_1898 + 52, 1449, 1897);
	IDSC(desc_1898 + 56, 1088, 1897);
}


#ifdef __cplusplus
}
#endif
